## vstream-client 1.2

=== Makefile ===
include config.mak

LIBNAME = libvstream-client.a

SRCS = mfs.c object.c schema.c query.c util.c io.c partition.c crc.c vstream.c

INSTALL = install

OBJS	= $(SRCS:.c=.o)
INCLUDE = -I..
LDFLAGS += $(SOCKLIB)
CFLAGS  += $(INCLUDE)

all:	$(LIBNAME) vstream-client

install:	$(LIBNAME) vstream-client
	$(INSTALL) -m 755 vstream-client $(BINDIR)/vstream-client
	$(INSTALL) -m 644 $(LIBNAME) $(LIBDIR)/$(LIBNAME)
	$(INSTALL) -m 644 vstream-client.h $(INCDIR)/vstream-client.h

.c.o:
	$(CC) -c $(CFLAGS) -o $@ $<

$(LIBNAME):	$(OBJS)
	$(AR) r $(LIBNAME) $(OBJS)

vstream-client: $(LIBNAME) test-client.c
	$(CC) $(CFLAGS) test-client.c $(LIBNAME) -o vstream-client $(LDFLAGS)

clean:
	rm -f *.o *.a *~ vstream-client vstream-client.exe

=== debian/changelog ===
vstream-client (1.2-7) unstable; urgency=medium

  * Team upload.

  [ Dylan Aïssi ]
  * Switch to debhelper-compat 13 (Closes: #965865)
  * Update VCS fields to salsa
  * Remove trailing whitespaces
  * Replace priority extra with optional
  * Add Rules-Requires-Root: no

  [ Helmut Grohne ]
  * Fix FTCBFS: Let dh_auto_build pass cross tools to make. (Closes: #968243)

 -- Dylan Aïssi <daissi@debian.org>  Sun, 16 Jan 2022 22:25:17 +0100

vstream-client (1.2-6.1) unstable; urgency=low

  * Non-maintainer upload.
    - Move to packaging format "3.0 (quilt)"
  * debian/compat
    - Update to 8.
  * debian/chnagelog
    - Fix off by 1 bug number in " -dev does not need...".
  * debian/control
    - (Build-Depends): Update to debhelper 8.
    - (Homepage): Update to current URL.
    - (Standards-Version): Update to 3.9.2.
    - (Depends): Add ${misc:Depends}.
    - (vstream-client::Description): Remove article (Lintian).
    - (vstream-client::Section): Remove inherited field.
    - (Vsc-*): Move info from 'XS-VCS-GIT'.
    - (XS-VCS-GIT): Delete.
  * debian/copyright
    - Point to GPL-2. Update layout. Remove URLs that no longer exist.
    - Update upstream homepage URL.
  * debian/rules
    - Run configure with CC=gcc.
    - (binary-arch): Update dh_installchangelogs to use $(CHANGELOG).
    - (build-arch, build-indep): Add (Lintian).
    - (get-changelog): New. Download download upstream change history.
    - (clean): Fix bashism. Change rm -f *.so{,.1} to "rm -f *.so *.so.1".
      Patch thanks to Chanchai Junlouchai <neverlock@gmail.com>
      (important; Closes: #535423).
    - (install) Update to dh_prep.
  * debian/source/format
    - New file.
  * debian/upstream.changelog
    - New file.
  * debian/watch
    - New file.

 -- Jari Aalto <jari.aalto@cante.net>  Fri, 18 Nov 2011 21:45:33 +0200

vstream-client (1.2-6) unstable; urgency=low

  * Replaces older version to (Closes: #496884)
  * -dev does not need to depend on -client (Closes: #496885)

 -- Paul Hedderly <prh@debian.org>  Fri, 29 Aug 2008 06:26:03 +0100

vstream-client (1.2-5) unstable; urgency=low

  * Non-urgent change slipped in - only the creation of a lintian unclean
    empty dir.

 -- Paul Hedderly <prh@debian.org>  Tue, 26 Aug 2008 20:35:25 +0100

vstream-client (1.2-4) unstable; urgency=low

  * Moved the static libary to the right package (-dev) DOH! (Closes #495891)

 -- Paul Hedderly <prh@debian.org>  Tue, 26 Aug 2008 20:29:13 +0100

vstream-client (1.2-3) unstable; urgency=low

  * Added Conflicts and Replaces libvstream-dev (Closes: Bug#494615)

 -- Paul Hedderly <prh@debian.org>  Wed, 20 Aug 2008 12:42:44 +0100

vstream-client (1.2-2) unstable; urgency=low

  * Removed watch.ex and make rules call makshlibs

 -- Paul Hedderly <prh@debian.org>  Tue, 03 Jun 2008 22:19:01 +0100

vstream-client (1.2-1) unstable; urgency=low

  * Initial release (no ITP)

 -- Paul Hedderly <prh@debian.org>  Fri, 16 May 2008 00:28:14 +0100

=== debian/control ===
Source: vstream-client
Priority: optional
Maintainer: Paul Hedderly <prh@debian.org>
Build-Depends: debhelper-compat (= 13),
               autotools-dev
Standards-Version: 3.9.2
Vcs-Browser: https://salsa.debian.org/debian/vstream-client
Vcs-Git: https://salsa.debian.org/debian/vstream-client.git
Section: libs
Homepage: https://code.google.com/p/vstream-client
Rules-Requires-Root: no

Package: vstream-client
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: libvstream-dev
Replaces: libvstream-dev
Description: library and utility to fetch media streams from a TIVO
 Vstream-client is a fork off of the vstream library from the
 tivo-mplayer project. It has been stripped down to just the
 client code, and includes an example client application. If
 you have vserver installed on your Tivo (which most tivo hackers
 do), then you can use this simple client to stream .ty files
 from it. MPlayer includes support for this library. This
 library can be used by MPlayer/MEncoder to watch/re-encode tivo
 streams live over a network.

Package: vstream-client-dev
Section: libdevel
Architecture: any
Depends: ${misc:Depends}
Conflicts: libvstream-dev
Replaces: vstream-client (<= 1.2-4)
Description: Development headers for vstream-client
 Vstream-client is a fork off of the vstream library from the
 tivo-mplayer project. It has been stripped down to just the
 client code, and includes an example client application. If
 you have vserver installed on your Tivo (which most tivo hackers
 do), then you can use this simple client to stream .ty files
 from it. MPlayer includes support for this library. This
 library can be used by MPlayer/MEncoder to watch/re-encode tivo
 streams live over a network.
 .
 This package contains the headers for development.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
ifneq ($(DEB_HOST_GNU_TYPE),$(DEB_BUILD_GNU_TYPE))
CROSS= --build $(DEB_BUILD_GNU_TYPE) --host $(DEB_HOST_GNU_TYPE)
else
CROSS= --build $(DEB_BUILD_GNU_TYPE)
endif


CC = gcc

# shared library versions, option 1
version=2.0.5
major=2
# option 2, assuming the library is created as src/.libs/libfoo.so.2.0.5 or so
#version=`ls src/.libs/lib*.so.* | \
# awk '{if (match($$0,/[0-9]+\.[0-9]+\.[0-9]+$$/)) print substr($$0,RSTART)}'`
#major=`ls src/.libs/lib*.so.* | \
# awk '{if (match($$0,/\.so\.[0-9]+$$/)) print substr($$0,RSTART+4)}'`

config.status: configure
	dh_testdir
	# Add here commands to configure the package.
ifneq "$(wildcard /usr/share/misc/config.sub)" ""
	cp -f /usr/share/misc/config.sub config.sub
endif
ifneq "$(wildcard /usr/share/misc/config.guess)" ""
	cp -f /usr/share/misc/config.guess config.guess
endif
	./configure --prefix=/usr
	# THIS IS POINTLESS... BECAUSE THE UPSTREAM BUILD SYSTEM IS SIMPLE AND MESSY!

#CFLAGS="$(CFLAGS)" LDFLAGS="-Wl,-z,defs"

CHANGELOG = debian/upstream.changelog

# Run manually
get-changelog:
	svn log http://vstream-client.googlecode.com/svn/trunk/ \
	> $(CHANGELOG)

build-arch: build-stamp
build-indep: build-stamp
build: build-stamp

build-stamp:  config.status
	dh_testdir
	dh_auto_build --buildsystem=makefile
	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp

	# Add here commands to clean up after the build process.
	#[ ! -f Makefile ] || $(MAKE) distclean
	rm -f config.mak config.sub config.guess
	rm -f *.so *.so.1 *.o *.a *~ vstream-client vstream-client.exe


	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs

	# Add here commands to install the package into debian/tmp
	# THIS IS MESSY BECAUSE THE UPSTREAM MAKEFILE IS MESSY!
	mkdir $(CURDIR)/debian/tmp
	$(MAKE) BINDIR=$(CURDIR)/debian/tmp/usr/bin LIBDIR=$(CURDIR)/debian/tmp/usr/lib INCDIR=$(CURDIR)/debian/tmp/usr/include


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs $(CHANGELOG)
	dh_installdocs
	dh_installexamples
	dh_install
#	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_installinit
#	dh_installcron
#	dh_installinfo
	dh_installman debian/vstream-client.1
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_python
	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

=== debian/watch ===
version=4
https://code.google.com/p/vstream-client/downloads/list \
 .*vstream-client-([\d.]+).*\.tar\.bz2

## vstream-client 1.2.1.1

=== debian/changelog ===
vstream-client (1.2.1.1-1) unstable; urgency=medium

  * Team upload.

  [ Debian Janitor ]
  * Drop fields with obsolete URLs.
  * Remove constraints unnecessary since buster (oldstable):
    + vstream-client-dev: Drop versioned constraint on vstream-client in
      Replaces.

  [ наб ]
  * Remove Build-Depends: autotools-dev (implied by debhelper-compat (= 13))
  * Import ubuntu patchset (1.2-7ubuntu2):
    + d/p: fix implicit declarations
      Closes: #1075628
    + Use dpkg-buildflags, and build with -D_LARGEFILE64_SOURCE since
      test-client.c uses fopen64.
      Closes: #1070868
  * New upstream version 1.2.1.1
    Closes: #601035
  * d/p/0002: Fix int64_ts being formatted as %lld
  * d/rules: dh style
  * d/copyright: DEP-5
  * old-fsf-address-in-copyright-file
  * debian/lintian-overrides: ignore obsolete-url-in-packaging for
    code.google.com

  [ Andreas Tille ]
  * Use fake watch file since code.google.com is archived
  * Standards-Version: 4.7.0 (routine-update)
  * Rely on pre-initialized dpkg-architecture variables (lintian-brush)

 -- наб <nabijaczleweli@nabijaczleweli.xyz>  Wed, 04 Dec 2024 04:39:51 +0100

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,11 @@
 Source: vstream-client
 Priority: optional
 Maintainer: Paul Hedderly <prh@debian.org>
-Build-Depends: debhelper-compat (= 13),
-               autotools-dev
-Standards-Version: 3.9.2
+Build-Depends: debhelper-compat (= 13)
+Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/debian/vstream-client
 Vcs-Git: https://salsa.debian.org/debian/vstream-client.git
 Section: libs
-Homepage: https://code.google.com/p/vstream-client
 Rules-Requires-Root: no
 
 Package: vstream-client
@@ -30,7 +28,6 @@
 Architecture: any
 Depends: ${misc:Depends}
 Conflicts: libvstream-dev
-Replaces: vstream-client (<= 1.2-4)
 Description: Development headers for vstream-client
  Vstream-client is a fork off of the vstream library from the
  tivo-mplayer project. It has been stripped down to just the

=== debian/rules ===
#!/usr/bin/make -f

# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
include /usr/share/dpkg/architecture.mk
ifneq ($(DEB_HOST_GNU_TYPE),$(DEB_BUILD_GNU_TYPE))
CROSS= --build $(DEB_BUILD_GNU_TYPE) --host $(DEB_HOST_GNU_TYPE)
else
CROSS= --build $(DEB_BUILD_GNU_TYPE)
endif


export DEB_CPPFLAGS_MAINT_APPEND := -D_LARGEFILE64_SOURCE
export DEB_CFLAGS_MAINT_APPEND := -Wall
include /usr/share/dpkg/buildflags.mk

override_dh_auto_configure:
	CFLAGS="$(CPPFLAGS) $(CFLAGS)" LDFLAGS="$(LDFLAGS)" ./configure --prefix=/usr

override_dh_auto_clean:
	! [ -f config.mak ] || dh_auto_clean

override_dh_auto_build:
	dh_auto_build --buildsystem=makefile

override_dh_auto_install:
	$(MAKE) BINDIR=$(CURDIR)/debian/tmp/usr/bin LIBDIR=$(CURDIR)/debian/tmp/usr/lib INCDIR=$(CURDIR)/debian/tmp/usr/include

override_dh_installchangelogs:
	dh_installchangelogs debian/upstream.changelog

%:
	dh $@

=== debian/watch ===
# code.google.com is archival-only. The last version is 1.2.1.1.
#
version=4
opts=dversionmangle=s/.*/0.No-Site/ \
 https://people.debian.org/~eriberto/ FakeWatchNoUpstreamSiteForThisPackage-(\d\S+)\.gz
